=== debian/changelog ===
connectome-workbench (1.3.2-2~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 11 Sep 2018 01:23:06 -0400

connectome-workbench (1.3.2-2) neurodebian; urgency=medium

  * debian/patches/
    + changeset_23c7c4dc1c6091fa48c25badcca9df49d52b1fb2.diff
    + changeset_af514a0f3b0a938af631fbab24d76d58b74c1b7d.diff
    to resolve FTBFS on systems with older QTs

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Sep 2018 20:20:50 -0400

connectome-workbench (1.3.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Aug 2018 21:45:36 -0400
